Skip to content
Dashboard
Theme
Theme

List audit events

GET /v1/audit_log_events: List audit events.

View Markdown

GET /v1/audit_log_events

Scope
audit_log_events:read
Auth
Secret key (sk_…)
Since
1.1
  • limit integer

    min 1 · max 100 · default 20

  • after string

    Cursor from next_cursor.

  • before string

  • organization string

  • action string

    max length 128

  • actor string

    The actor’s ID.

    max length 256

  • target string

    A target’s ID.

    max length 256

  • from string (date-time)

    occurred_at at or after.

  • to string (date-time)

    occurred_at before.

  • OhAuthCat-Version string

    Minor version; defaults to the environment’s pin.

Errors share one shape; see the error code catalogue.

curl -X GET \
"https://api.ohauthcat.com/v1/audit_log_events" \
-H "Authorization: Bearer $OHAUTHCAT_API_KEY"
Response 200
{
"object": "list",
"data": [
{
"object": "audit_log_event",
"id": "ale_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"organization_id": "org_01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"action": "user.signed_in",
"version": 1,
"occurred_at": "2026-01-15T09:30:00Z",
"created_at": "2026-01-15T09:30:00Z",
"actor": {
"type": "default",
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"metadata": {
"plan": "enterprise"
}
},
"targets": [
{
"type": "default",
"id": "01J9Z3K5V7W8X9Y0Z1A2B3C4D5",
"name": "Acme Corp",
"metadata": {}
}
],
"context": {
"location": "example_location",
"user_agent": "example_user_agent"
},
"metadata": {
"plan": "enterprise"
}
}
],
"has_more": true,
"next_cursor": "cur_01J9Z3K5V7W8X9Y0Z1A2B3C4D5"
}